package GUIAnwendungen.MenuBar;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
public class Submenu {

	public static void main(String[] args) {

		JFrame frame = new JFrame("JMenuBar demo"); // أي قمنا بإنشاء نافذة مع وضع عنوان لها JFrame هنا أنشأنا كائن من
													// الكلاس
		frame.setSize(500, 250); // هنا قمنا بتحديد حجم النافذة. عرضها 500 و طولها 250
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // هنا جعلنا زر الخروج من النافذة يغلق البرنامج

		// هنا قمنا بتعريف شريط القوائم
		JMenuBar menuBar = new JMenuBar();

		// هنا قمنا بتعريف القائمة التي ستظهر في الشريط و القائمة التي ستظهر بداخلها
		JMenu menu = new JMenu("Menu");
		JMenu subMenu = new JMenu("Sub Menu");

		// هنا قمنا بتعريف 6 عناصر
		JMenuItem item1 = new JMenuItem("Item 1");
		JMenuItem item2 = new JMenuItem("Item 2");
		JMenuItem item3 = new JMenuItem("Item 3");
		JMenuItem item4 = new JMenuItem("Item 4");
		JMenuItem item5 = new JMenuItem("Item 5");
		JMenuItem item6 = new JMenuItem("Item 6");

		// هنا قمنا بوضع القائمة في شريط القوائم
		menuBar.add(menu);

		// هنا قمنا بوضع أول ثلاث عناصر في القائمة
		menu.add(item1);
		menu.add(item2);
		menu.add(item3);

		// هنا قمنا بوضع القائمة الداخلية في القائمة
		menu.add(subMenu);

		// هنا قمنا بوضع العناصر الثلاثة المتبقية في القائمة الداخلية
		subMenu.add(item4);
		subMenu.add(item5);
		subMenu.add(item6);

		// frame هنا قمنا بوضع شريط القوائم في الـ
		frame.setJMenuBar(menuBar);

		// مرئية frame هنا جعلنا الـ
		frame.setVisible(true);

	}

}
